<?php
   include('session.php');
   include('header1.php');
   include('ietpartial.php');

// start role specific 
$user_role = $_SESSION['role'];

if ($_SERVER["REQUEST_METHOD"] == "GET") {

  $employeeid = $_GET['employeeID'];

  if(isset($_GET['updated'])) {

    $updated = $_GET['updated'];

  }

  $sqlGetEmployee = "SELECT * FROM employees WHERE employeeid = $employeeid";

  $resultEmployee = mysqli_query($db,$sqlGetEmployee);

  $countEmployee = mysqli_num_rows($resultEmployee);

  echo "<main role=\"main\" class=\"col-md-9 ml-sm-auto col-lg-10 px-4\">";

  echo "<div class=\"d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom\">";

  if ($countEmployee !== 0) { 

  	while ($rowemployee = mysqli_fetch_array($resultEmployee)) {

    	echo "<h1 class=\"h2\">" . $rowemployee['employeesurname'] . ", " . $rowemployee['employeename'] . "</h1>";
      echo "<a href=\"viewEmployee.php?employeeID=" . $rowemployee['employeeid'] . "\" class=\"btn btn-sm btn-outline-secondary\" role=\"button\">Back to Employee File</a>";
    
    	echo "</div>";

      echo "<table>";

    	echo "<form method = \"POST\" action=\"editDeductionDetail1.php\">";

    	echo "<input type = \"hidden\" value = \"" . $rowemployee['employeeid'] . "\" name = \"employee_id\">";

      

        $sqlGetEmployeeDeduction = "
          SELECT 
          employees.employeeid AS employeeid,
          deductions.deductionid AS deductionid,
          deductions.deductionname AS deductionname,
          employee_deductions.deductionvalue AS deductionvalue
          FROM employee_deductions
          LEFT JOIN employees
          ON employee_deductions.employeeid = employees.employeeid
          LEFT JOIN deductions
          ON deductions.deductionid = employee_deductions.deductionid
          WHERE employee_deductions.employeeid = $employeeid";

      $resultEmployeeDeductions = mysqli_query($db,$sqlGetEmployeeDeduction);

      $countEmployeeDeductions = mysqli_num_rows($resultEmployeeDeductions);

        if ($countEmployeeDeductions !== 0) { 

          while ($rowDeductions = mysqli_fetch_array($resultEmployeeDeductions)) {
            echo "<tr><td>" . $rowDeductions['deductionname'] . "</td><td><input type=\"numeric\" name=\"" . $rowDeductions['deductionid'] . "\" value = \"" . $rowDeductions['deductionvalue'] . "\" class=\"form-control\"> </td></tr>";
          }

      }


    }

    echo "<tr><td><input type=\"submit\"></td></tr> </form> </table>";

   }

 }


include('footer1.php');
?>